using System;
using System.Diagnostics;
using System.IO;

namespace m3uTool.Tests
{
	/// <summary>
	/// Summary description for CreateM3uTest.
	/// </summary>
	public class CreateM3uTests
	{
		public void CreateM3uTest()
		{
			M3uCreate c = new M3uCreate(new DirectoryInfo(@"C:\mp3\"));
			// c.OutputFilename = @"c:\mym3u.m3u";
			Debug.WriteLine(c.OutputFilename);
			c.Create();
		}

		public void CreateSubM3uTest()
		{
			DirectoryInfo rootDir = new DirectoryInfo(@"C:\mp3\");

			int count = 0;
			foreach (DirectoryInfo subDir in rootDir.GetDirectories())
			{
				M3uCreate c = new M3uCreate(subDir);

				Debug.WriteLine(c.OutputFilename);
				c.Create();
				
				if (count++ > 10)
					break;
			}


			// c.OutputFilename = @"c:\mym3u.m3u";
		}
	}
}
